Create a Community Post
curl --request POST \
--url https://schoolmaker.co/api/v1/community/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category_id": "CATEGORY_ID",
"title": "Welcome",
"body": "**Hello everyone**",
"body_format": "markdown"
}
'import requests
url = "https://schoolmaker.co/api/v1/community/posts"
payload = {
"category_id": "CATEGORY_ID",
"title": "Welcome",
"body": "**Hello everyone**",
"body_format": "markdown"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
category_id: 'CATEGORY_ID',
title: 'Welcome',
body: JSON.stringify('**Hello everyone**'),
body_format: 'markdown'
})
};
fetch('https://schoolmaker.co/api/v1/community/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "22222222-2222-4222-8222-222222222222",
"title": "Welcome",
"category_id": "33333333-3333-4333-8333-333333333333",
"author": {
"id": "11111111-1111-4111-8111-111111111111",
"type": "User",
"name": "Jamie Example",
"email": "jamie@example.com",
"first_name": "Jamie",
"last_name": "Example",
"profile_picture_url": null,
"last_seen_at": null,
"created_at": "2026-10-02T00:00:00Z",
"updated_at": "2026-10-02T00:00:00Z"
},
"is_closed": false,
"selected_solution_comment_id": null,
"comment_count": 0,
"last_activity_at": "2026-10-02T00:10:00Z",
"body": "<p><strong>Hello everyone</strong></p>",
"url": "/community/22222222-2222-4222-8222-222222222222"
}{
"error": "Access denied"
}{
"error": "You do not have permission to perform this action"
}{
"error": "Record not found"
}{
"error": "Invalid arguments"
}Community
Create a Community Post
Creates a community post as the school owner. The selected category must be open.
POST
/
community
/
posts
Create a Community Post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencoded
Required string length:
1 - 255Required nonblank title.
Maximum string length:
10000Required comment or post content. Embedded attachments and scripts are not supported.
Maximum string length:
200000HTML or Markdown input, returned as HTML. For blockquotes, use HTML markup.
Available options:
html, markdown Response
Successful response.
Required string length:
1 - 255Required string length:
1 - 255Show child attributes
Show child attributes
Number of comments and replies, excluding the post body.
Rendered HTML.
Relative path on the school website.
Was this page helpful?